#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.2.1
visibility:           public
id:                   tree-diff-0.2.1-JsnzPBQ4H0U3EvNeNd0fAi
key:                  tree-diff-0.2.1-JsnzPBQ4H0U3EvNeNd0fAi
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  54efb5a7172dbb1f69930ec0d5a7c930
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.1/site-local/tree-diff-0.2.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/tree-diff-0.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/tree-diff-0.2.1
hs-libraries:         HStree-diff-0.2.1-JsnzPBQ4H0U3EvNeNd0fAi
depends:
    QuickCheck-2.14.2-Hi2DusSU1aNLBaKmssS2cn
    aeson-1.5.6.0-6DdSUx8dbuIIjP00Zg5a6S
    ansi-terminal-0.11-Kvq5JBN7BE16HA1JfrRBzw
    ansi-wl-pprint-0.6.9-IaSywr9DY1zKJuO3E6UeUv base-4.15.0.0
    base-compat-0.11.2-EfuzzJ3SbjR74eBdJgKfBC bytestring-0.10.12.1
    containers-0.6.4.1 deepseq-1.4.5.0
    hashable-1.3.4.0-6dnecuFViZBGFpHQwXe7GH parsec-3.1.14.0
    parsers-0.12.10-Fygk0UygGWIJGasEEw3Ph0 pretty-1.1.3.6
    primitive-0.7.2.0-LNBP19Yyt8R6V7t6f1oEAz
    scientific-0.3.7.0-LvVousZ2ZB29j7oXDdeCGV
    semialign-1.2-IrjoVCSw3GvBof9nsJjstT
    strict-0.4.0.1-55b4WQNt0vl9Wflfk1WBTY
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25 text-1.2.4.1
    these-1.1.1.1-deKYvIFkgpB6gZitfRgol time-1.9.3
    unordered-containers-0.2.14.0-FVdmWuNRiZiBPBGw5WvZRu
    uuid-types-1.0.5-9N00rVcWF8YLV2BbcRzeDM
    vector-0.12.3.1-41pb7QyPIvSGm54QlMLBN3

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

